- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- COPYRIGHT

# NAME

openssl-rand - generate pseudo-random bytes

# SYNOPSIS

openssl rand [-help] [-out file] [-base64] [-hex] [-engine id] [-rand files] [-writerand file] num

# DESCRIPTION

This command outputs num pseudo-random bytes after seeding the random number generator once.

# OPTIONS

-help

  Print out a usage message.

-out file

  Write to file instead of standard output.

-base64

  Perform base64 encoding on the output.

-hex

  Show the output as a hex string.

-engine id

  See openssl(1)/Engine Options.

-rand files, -writerand file

  See openssl(1)/Random State Options for details.

# SEE ALSO

openssl(1), RAND_bytes(3)

# COPYRIGHT

Copyright 2000-2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.